%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-UV
Version:       2.000
Release:       1mamba
Summary:       UV - Perl interface to libuv
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/UV-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libuv-devel
BuildRequires: perl-Scalar-List-Utils
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-devel
BuildRequires: perl-Module-Build-Using-PkgConfig
BuildRequires: perl-Test-TCP
Requires:      perl >= %perl_major_ver

%description
UV is perl interface to libuv.

%prep
%setup -q -n UV-%{version}


%build
%{__perl} Build.PL installdirs=vendor
./Build
#./Build test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
./Build install --destdir=%{buildroot}

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

#find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Thu Aug 31 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.000-1mamba
- update to 2.000

* Sun Apr 16 2023 Sdk Build System <sdk@mambasoft.it> 0.24-3mamba
- rebuilt with perl 5.36.0

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.24-2mamba
- rebuilt with perl 5.24

* Fri Jan 02 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.24-1mamba
- package created using the webbuild interface
